Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMergeFields::Component Struct Reference

`#include <vtkMergeFields.h>`

List of all members.

## Public Methods

void | SetName (const char *name)
| Component ()
| ~Component ()

## Public Attributes

int | Index
int | SourceIndex
char * | FieldName
Component * | Next

## Constructor & Destructor Documentation

vtkMergeFields::Component::Component | ( |  | ) | `[inline]`

| Definition at line 123 of file vtkMergeFields.h.

vtkMergeFields::Component::~Component | ( |  | ) | `[inline]`

| Definition at line 124 of file vtkMergeFields.h.

## Member Function Documentation

void vtkMergeFields::Component::SetName | ( | const char * | name | ) | `[inline]`

| Definition at line 113 of file vtkMergeFields.h.

## Member Data Documentation

int vtkMergeFields::Component::Index

| Definition at line 109 of file vtkMergeFields.h.

int vtkMergeFields::Component::SourceIndex

| Definition at line 110 of file vtkMergeFields.h.

char* vtkMergeFields::Component::FieldName

| Definition at line 111 of file vtkMergeFields.h.

Component* vtkMergeFields::Component::Next

| Definition at line 112 of file vtkMergeFields.h. Referenced by vtkMergeFields::GetNextComponent().

The documentation for this struct was generated from the following file:

- Graphics/vtkMergeFields.h